/* eslint-disable consistent-return */
import ARI from 'ari-client';
import { Handler, PBX } from '../../class';

export default class CRZero extends Handler {
  constructor(pbx: PBX) {
    super(pbx);
    this.app = 'cr-zero';
    this.options = { available: true };
  }

  public async run(event: ARI.Event, channel: ARI.Channel) {
    const playback = await channel.play({
      media: 'sound:pbx-transfer',
    }, undefined);
    playback.once('PlaybackFinished', () => channel.move({ app: 'page-dtmf' }));
  }
}
